<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">



    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Mycss -->
    <link rel="stylesheet" type="text/css" href="main.css">

</head>

<body>
    <div class="container">
        <div class="container">
            <div class="row">
                <div>
                    <br>
                    <h2> FLIGHT </h2>
                </div>
            </div>

            <div class="col-2 offset-10">
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="oneWay" id="oneWay" value="option1" checked>
                    <label class="form-check-label" for="oneWay" style="padding-left: 15px">
                        One Way
                    </label>
                </div>

                <div class="form-check">
                    <input class="form-check-input" type="radio" name="oneWay" id="roundTrip" value="option2">
                    <label class="form-check-label" for="roundTrip" style="padding-left: 15px">
                        Round Trip
                    </label>
                </div>
            </div>

        </div>
    </div>
    
    <div class="container">
        <div class="container">
            <div class="row">

                <div class="col-sm-6">
                    <form action="form-group">
                        <label for="flyingFrom"><b>Flying From</b></label>
                        <br>
                        <input type="email" class="form-control" id="fromcity" placeholder="From City">
                    </form>
                </div>
                <div class="col-sm-6">
                    <form>
                        <label for="flyingTo"><b>Flying To</b></label>
                        <br>
                        <input type="email" class="form-control" id="fromcity" placeholder="To City">
                    </form>
                </div>
            </div>
        </div>
        <br>

        <div class="container">
            <div class="row">
                <div class="col-sm-3"><label for="depart"><b>Departing Airport</b></label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="sel1" name="fromairport">
                        <option>Choose an airport</option>
                        <option>BKK</option>
                        <option>DMK</option>
                        <option>NRT</option>
                    </select>
                </div>

                <div class="col-sm-3"><label for="destination"><b>Destination Airport</b></label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="sel1" name="toairport">
                        <option>Choose an airport</option>
                        <option>BKK</option>
                        <option>DMK</option>
                        <option>NRT</option>
                    </select>
                </div>
            </div>
        </div>
        <br>


        <div class="container">
            <div class="row">
                <div class="col-sm-3"><label for="adult"><b>Adult</b></label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="sel1" name="toairport">
                        <option>Choose a Number</option>
                        <option>2</option>
                        <option>3</option>
                        <option>4</option>
                    </select>
                </div>
                <div class="col-sm-3"><label for="adult"><b>Travel Class</b></label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="sel1" name="toairport">
                        <option>Choose Travel Class</option>
                        <option>2</option>
                        <option>3</option>
                        <option>4</option>
                    </select>
                </div>

            </div>
            <br>

            <div class="container">
                <div class="row"><button type="button" class="btn-submit btn btn-primary" id="btn-submit">Submit</button></div>
            </div>
            <br>
            <div id="list-flight">
            </div>
            <!-- <div class="container-fluid">
                <img src="./ni.jpg" alt="ni" style="width:450px; height:450px;">
            </div> -->

        </div>

        <!-- <script src="http://localhost:3000/action1.js"></script> -->

        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>

        <!-- Latest compiled JavaScript -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <script>
            // function myFunction() {
            //     document.getElementById("btn-submit")
            //     // alert('hello')
            //     window.location = "http://localhost:3000/displayFlights";
            // }
            $("#btn-submit").click(() => {
                $("#list-flight").load("/displayFlights", (responseText, statusText) => {
                    if (statusText === "error") {
                        console.log('error');
                    } else {
                        console.log("load success");
                    }
                });
            });
        </script>
</body>


</html>